Page MenuHomePhabricator

Outreachy Proposal : Making Education Dash Program usable for all languages and projects
Closed, DeclinedPublic

Description

Project: T91676
Microtask: T116344

Name: Wine Silva
Email: winnyzuzu@gmail.com
Irc: wdssilva
Location: Pelotas, RS - Brazil
Time zone: UTC -2h
Preferred pronoun: she
Typical working hours: Weekdays - 11 am to 8pm
Mentors: @Ragesoss, @dduvall
Github: winnysilva

Schedule

TaskTime
Familiarize with the project and tools usedNovember 17 to december 7
Modify codes to support i18nDecember 7 to december 20
Identification and documentation necessary features to support i18nDecember 20 to january 10
Implementation and documentation of the identified featuresJanuary 10 to february 20
Final documentationFebruary 20 to february 25
DeploymentFebruary 25 to march 3

Familiarize with the project and tools used
The time before the start of the internship will serve to increase knowledge of the used tools and implementation details. This phase will require a closer look at the project documentation, objectives to be achieved and dialogue with the mentors.
Modify codes to support i18n
The first phase of the project is to support the i18n to existing codes in the project. After, leave for the analysis of the functionality required.
Identification and documentation necessary features to support i18n
This phase consists of dialogues with mentors and the community regarding functionality to be added to the uml diagram projeto.durante this phase will be built to facilitate understanding by all and serve as a basis for implementation and documentation.
Implementation and documentation of the identified features
During this phase will be implemented the features identified in the previous step (only the features that are appropriate to the time remaining for the internship). Also during this phase, uml diagrams will be enhanced and built for documentation.
Final documentation
At this stage, will be documented all the features added to the project in more detail
Deployment

About me
I am a student of sixth semester of the bachelor's degree in computer science at the federal university of pelotas. This internship program comes as an opportunity to demonstrate and improve my professional skills and enrich my professional history. I now work in a project aimed at the development of computational thinking in basic education in brazil. During the program period, i will be available full time to the development of this project due to the recess between semesters of college, i also possess great ease in learning new paradigms and languages.

Please describe any relevant projects that you have worked on previously and what knowledge you gained from working on them:
I worked with the development of computational thinking in basic education as a way to enrich the teaching mode and disseminate the computer courses. In this project, activities were designed to stimulate the skills of computational thinking. With this project, i was allowed to work with the development of activities for the public, in this case the infantile public, and the development of mobile applications. (http://wp.ufpel.edu.br/pensamentocomputacional/en/)

Will you have any other time commitments, such as school work, exams, research, another job, planned vacation, etc., between december 7, 2015 and march 7, 2016? How many hours a week do these commitments take?
No other commitments at this period.

If a student, please list the courses you will be taking between december 7, 2015 and march 7, 2016, how many credits you will be taking, and how many credits a full-time student normally takes at your school:
No course at this period.

Event Timeline

Wdssilva created this task.Nov 1 2015, 3:16 PM
Wdssilva claimed this task.
Wdssilva raised the priority of this task from to Needs Triage.
Wdssilva updated the task description. (Show Details)
Wdssilva added subscribers: Wdssilva, Ragesoss, dduvall.
Restricted Application added subscribers: Base, Aklapper. · View Herald TranscriptNov 1 2015, 3:16 PM

We are approaching the Outreachy'11 application deadline, and if you want to have your proposal considered to be part of this round, do sign up and add your proposal at https://outreachy.gnome.org/ before November 02 2015, 07:00 pm UTC. You can copy-paste the above proposal to the Outreachy application system, and keep on polishing it over here. Keep in mind that your mentors and the organization team will be evaluating your proposal here in Phabricator, and you are free to ask and get more reviews complying https://www.mediawiki.org/wiki/Outreach_programs/Life_of_a_successful_project#Answering_your_questions

01tonythomas closed this task as Declined.Nov 23 2015, 8:45 AM

Thank you for your proposal. Sadly, the Outreachy administration team made it strict that candidates with any kind of academic/other commitments are not approved for this round. Please consider talking with your mentors about further steps, and we hope to see your application ( the same too, if the consensus still exist ) in the next round of GSoC/Outreachy. Closing the same as declined, and all the very best for the next round!

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 23 2015, 8:45 AM